Bug 1520186 - PyQt5 is GPL v3, but the metadata says BSD and GPLv2+ [fedora-all]
Summary: PyQt5 is GPL v3, but the metadata says BSD and GPLv2+ [fedora-all]
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-qt5
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-03 21:41 UTC by Miro Hrončok
Modified: 2017-12-04 14:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-04 14:34:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2017-12-03 21:41:40 UTC
Description of problem:
The license in the python-qt5 package is wrong. It clearly is GPLv3, it has a LICENSE file with GPL v3, all the sources says:

# Copyright (c) 2017 Riverbank Computing Limited <info@riverbankcomputing.com>
# 
# This file is part of PyQt5.
# 
# This file may be used under the terms of the GNU General Public License
# version 3.0 as published by the Free Software Foundation and appearing in
# the file LICENSE included in the packaging of this file.  Please review the
# following information to ensure the GNU General Public License version 3.0
# requirements will be met: http://www.gnu.org/copyleft/gpl.html.
# 
# If you do not wish to use this file under the terms of the GPL version 3.0
# then you may purchase a commercial license.  For more information contact
# info@riverbankcomputing.com.
# 
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Version-Release number of selected component (if applicable):
5.9.2-2 and others

Steps to Reproduce:
1. head /usr/share/licenses/python3-qt5-base/LICENSE
2. rpm -qi python3-qt5 | grep License

Actual results:
$ head /usr/share/licenses/python3-qt5-base/LICENSE
                    GNU GENERAL PUBLIC LICENSE
                       Version 3, 29 June 2007
...
[~]$ rpm -qi python3-qt5 | grep License
License     : BSD and GPLv2+



Expected results:
$ head /usr/share/licenses/python3-qt5-base/LICENSE
                    GNU GENERAL PUBLIC LICENSE
                       Version 3, 29 June 2007
...
[~]$ rpm -qi python3-qt5 | grep License
License     : GPLv3

Comment 1 Rex Dieter 2017-12-04 14:34:26 UTC
%changelog
* Mon Dec 04 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.9.2-3
- License: GPLv3 (#1520186)


Thanks


Note You need to log in before you can comment on or make changes to this bug.